Package

## Class InMobiAdRequestStatus

- All Implemented Interfaces:

      public final class InMobiAdRequestStatus

  Class used to encapsulate information when an ad request fails.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `public enum` | `InMobiAdRequestStatus.StatusCode` | Collection of codes indicating the status of an ad request.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `private String` | `message` |
    `private final InMobiAdRequestStatus.StatusCode` | `statusCode` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InMobiAdRequestStatus(InMobiAdRequestStatus.StatusCode statusCode)` |

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `final String` | `getMessage()` | Use this to get the description of why the ad request failed.
    `final Unit` | `setMessage(String message)` |
    `final InMobiAdRequestStatus.StatusCode` | `getStatusCode()` | Use this to get the status code enum for the failed ad request.
    `final InMobiAdRequestStatus` | `setCustomMessage(String message)` | If a custom message has to to be used for the above request codes

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InMobiAdRequestStatus

          InMobiAdRequestStatus(InMobiAdRequestStatus.StatusCode statusCode)

  - ### Method Detail

    - #### getMessage

           final String getMessage()

      Use this to get the description of why the ad request failed.

    - #### setMessage

           final Unit setMessage(String message)

    - #### getStatusCode

           final InMobiAdRequestStatus.StatusCode getStatusCode()

      Use this to get the status code enum for the failed ad request.

    - #### setCustomMessage

           final InMobiAdRequestStatus setCustomMessage(String message)

      If a custom message has to to be used for the above request codes